# $Revision: 1.2 $, $Date: 2003/04/11 15:56:30 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Reform
Summary:	Text::Reform - manual text wrapping and reformating
Summary(pl):	Text::Reform - rczne wcinanie i przeformatowywanie tekstu
Name:		perl-Text-Reform
Version:	1.10
Release:	1
License:	Artistic  
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module supplies a re-entrant, highly configurable replacement for
the built-in Perl format() mechanism.

%description -l pl
Modu udostpnia umoliwiajcy zrwnoleglanie, wysoce konfigurowalny
mechanizm zastpujcy wbudowany mechanizm format() Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
find -type f | xargs perl -pi -e 's,/usr/local,/usr,g'
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install demo*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Text/Reform.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Reform.spec,v $
Revision 1.2  2003/04/11 15:56:30  ankry
- fixed descriptions

Revision 1.1  2003/04/11 15:49:01  ankry
- new, for ra

